%global momorel 4
Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
%global ver 020927
Version: 20%{ver}
Release: %{momorel}m
License: BSD
Group: System Environment/Daemons
%NoSource 0 http://ftp.sunet.se/pub/network/ip-routing/iputils-ss%{ver}.tar.gz b5493f7a2997130a4f86c486c9993b86
Source1: ifenslave.c
Source2: README.bonding
Patch0: iputils-20020927-rh.patch
Patch1: iputils-20020124-ping_sparcfix.patch
Patch2: iputils-20020124-rdisc-server.patch
Patch3: iputils-20020124-countermeasures.patch
Patch4: iputils-20020927-addrcache.patch
Patch5: iputils-20020927-ping-subint.patch
Patch6: iputils-20020927-icmp_seq.patch
Patch7: iputils-glibckernheaders.patch
Patch8: iputils-20020927-headers.patch
Patch9: iputils-20020927-unaligned.patch
Patch10: iputils-20020927-inet_pton.patch
Patch11: iputils-retvals.patch
Patch20: iputils-arping-header.patch
Patch21: iputils-rarpd-header.patch
Patch22: iputils-ipv6-hoplimit.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -q -n %{name}
cp %{SOURCE1} .
cp %{SOURCE2} .

%patch0 -p1 -b .rh
%patch1 -p1 -b .ping_sparcfix
%patch2 -p1 -b .rdisc-server
%patch3 -p1 -b .countermeasures
%patch4 -p1 -b .addrcache
%patch5 -p1 -b .ping-subint
%patch6 -p1 -b .icmp_seq
%patch7 -p1 -b .glibckernheaders
%patch8 -p1 -b .headers
%patch9 -p1 -b .unaligned
%patch10 -p1 -b .inet_pton
%patch11 -p1 -b .retvals

%patch20 -p1
%patch21 -p1
%patch22 -p1 -b .hoplimit

%build
%ifarch s390 s390x
export CFLAGS="$RPM_OPT_FLAGS -fPIE"
%else
export CFLAGS="$RPM_OPT_FLAGS -fpie"
%endif
export LDFLAGS="-pie"
make
gcc -Wall -Wstrict-prototypes -O2 ifenslave.c -o ifenslave
make -C doc man

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/{bin,sbin}
install -c arping		%{buildroot}/sbin/
ln -sf			../../sbin/arping %{buildroot}%{_sbindir}/arping
install -c clockdiff		%{buildroot}%{_sbindir}/
install -c ping			%{buildroot}/bin/
install -c ifenslave            %{buildroot}/sbin/
install -c rdisc		%{buildroot}/sbin/
install -c ping6		%{buildroot}/bin/
install -c tracepath		%{buildroot}/bin/
install -c tracepath6		%{buildroot}/bin/
#install -c traceroute6		%{buildroot}/bin/

mkdir -p %{buildroot}%{_bindir}
ln -sf /bin/ping6 %{buildroot}%{_sbindir}
ln -sf /bin/tracepath %{buildroot}%{_sbindir}
ln -sf /bin/tracepath6 %{buildroot}%{_sbindir}
#ln -sf /bin/traceroute6 %{buildroot}%{_sbindir}

mkdir -p %{buildroot}%{_mandir}/man8
install -c doc/clockdiff.8	%{buildroot}%{_mandir}/man8/
install -c doc/arping.8		%{buildroot}%{_mandir}/man8/
install -c doc/ping.8		%{buildroot}%{_mandir}/man8/
install -c doc/rdisc.8		%{buildroot}%{_mandir}/man8/
install -c doc/tracepath.8	%{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc RELNOTES README.bonding
%{_sbindir}/clockdiff
/sbin/arping
%{_sbindir}/arping
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
/sbin/rdisc
%attr(4755,root,root) /bin/ping6
/bin/tracepath
/bin/tracepath6
#%attr(4755,root,root)/bin/traceroute6
%{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
#%{_sbindir}/traceroute6
%{_mandir}/man8/*

%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (20020927-4m)
- remove traceroute6

* Sat Mar 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (20020927-3m)
- add Patch22: iputils-ipv6-hoplimit.patch from FC (BTS #149)

* Mon Feb 28 2005 TABUCHI Takaaki <tab@momonga-linux,org>
- (20020927-2m)
- update patches

* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux,org>
- (20020927-1m)
- update to 020927
- comment out Patch0: iputils-20001007-rh7.patch

* Mon Jan 10 2005 Toru Hoshina <t@momonga-linux,org>
- (20020124-6m)
- glibc-fix is no longer needed.
- adjusted to new glibc headers.

* Sun Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (20020124-5m)
  revised source url

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (20020124-4m)
- revised spec for enabling rpm 4.2.

* Fri Oct  3 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (20020124-3m)
- fix compilation error

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (20020124-2k)
- ver up.
- man...

* Thu Dec 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-8k)
- fix for kernel-2.4.17

* Tue Dec 11 2001 Toru Hoshina <t@kondara.org>
- (20001110-6k)
- arping! arping!

* Sun Apr 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-4k)
- add iputils.ipv6.nomake.patch

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-2k)
- update to 20001110
- errased IPv6 commands with %{_ipv6} macro

* Thu Nov  2 2000 Toru Hoshina <toru@df-usa.com>
- I'm wondering why socksddr_in6 structure is different in
  /usr/src/linux/include/linux/in6.h and /usr/include/netinet/in.h ???
- Anyway, I've patched ping6.c to avoid stupid undeclare error.
  Please fix it ASAP, because I don't think ping6 works :-P

* Thu Oct 26 2000 Toyokazu Watabe <toy2@kondara.org> 20001011-1k
- update for 001011 including security fix.
- remove patch file iputils-991024.manfix.

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
